clear all;
%****************************************
% here we check that h(y)=cosh(y) is lambda-invariant for process Y from the example in Section 4.1
% (Y is the Brownian motion on R), with lambda=1/2
%****************************************
syms t x y Phi hx hy lambda f1 f2;
lambda=1/2;
assume(t>0);
hy=(exp(y)+exp(-y))/2;    % lambda-invariant function h(y)=cosh(y)
%****************************************
 % transition probability of Y
p=exp(-(y-x)^2/(2*t))/sqrt(2*pi*t); 
%****************************************
f1=int(p*hy,y); % compute the indefinite integral p_t(x,y)h(y) d y
f2=simplify(limit(f1,y,inf)-limit(f1,y,-inf)) % compute E_x[h(Y_t)]=\int_{- infty}^{infty} p_t(x,y) h(y) d y
%****************************************
% check that E_x[h(Y_t)]=exp(lambda*t)*h(x)
difference_between_two_expressions=simplify(f2-exp(lambda*t)*subs(hy,y,x))
if (difference_between_two_expressions==0)
    disp('formula successfully verified');
end


