clear all;
%***********************************************
% here we check the formula for the transition probability for the processes from Section 4.3
% Y is the Brownian motion on (0,1) killed at both boundaries
%***********************************************
syms x y f hx hy fn;
syms m positive integer;
n=m+1; % n is a positive integer greater or equal to 2
f=sin(n*pi*x)*sin(n*pi*y);
hy=sin(pi*y);
hx=sin(pi*x);
f=int(f*hy,y)
f1=(hx/hy)*diff((simplify(subs(f,y,1))-f)/hx)
fn=n*cos(pi*n*x)-sin(pi*n*x)*cot(pi*x);
f2=fn*subs(fn,x,y)/(n^2-1)
simplify(expand((f1-f2)*hx*hy),'Steps',50)
%***********************************************
f=f2;
hy=sin(pi*y)^2;
hx=sin(pi*x)^2;
f=int(f*hy,y)
f1=(hx/hy)*diff((simplify(subs(f,y,1))-f)/hx)
fn=-(2+n^2)*sin(pi*n*x)+3*sin(pi*n*x)/sin(pi*x)^2-3*n*cos(pi*n*x)*cot(pi*x);
f2=fn*subs(fn,x,y)/((n^2-1)*(n^2-4))
simplify(expand((f1-f2)*hx*hy),'Steps',50)
