clear all;
%*************************************************
% here we check that the function h(y)=e^{y^2/2}(2y^2+1)
% is lambda-invariant for the process Y (Brownian motion on R killed at rate y^2/2)
% where lambda=5/2
%*************************************************
syms t A B C p h x y;
assume(A>0);
assume(B>0);
assume(t>0);
p=A*exp(-(1+B)/2*(x^2+y^2)+C*x*y); % the transition probability density of Y
% here A=1/sqrt(2*pi*sinh(t), B=coth(t)-1 and C=1/sinh(t) 
h=exp(y^2/2)*(2*y^2+1) 
f=simplify(expand(int(p*h,y))); %compute indefinite integral of p_t(x,y)h(y)dy
h2=simplify(expand(limit(f,y,inf)-limit(f,y,-inf)));  % compute integral of p_t(x,y)h(y)dy over R
h2=subs(h2,A,1/sqrt(2*pi*sinh(t))); %substitute the value of A
h2=subs(h2,B,coth(t)-1); %substitute the value of B
h2=subs(h2,C,1/sinh(t)); %substitute the value of C
h2=simplify(expand(h2))  %h2(x) represents E_x[h(Y_t)] and this should be equal to e^{5*t/2}h(x) 
if (simplify(h2-subs(h,y,x)*exp(5*t/2))==0)
    disp('h(x)=e^{x^2/2}(4x^2+2) is indeed lambda-invariant for Y with lambda=5/2');
end

