clear all;
%****************************************
% here we compute the expression h(x)/h(y) d/dx ( (1/h(x)) int_y^r p_t(x,u) h(u) du)
% where p_t(x,y) is the transition probability density of Y 
% (Brownian motion on (0,infty) reflected at zero) and h(y)=y 
%****************************************
syms t x y p u hx hy;
hy=y; 
hx=x;
assume(t>0);
assume(y>0);
assume(x>0);
%****************************************
% transition probability of Y
p=(exp(-(y-x)^2/(2*t))+exp(-(y+x)^2/(2*t)))/sqrt(2*pi*t);
%****************************************
f=simplify(int(p*hy,y));  % this computes the indefinite integral of p_t(x,u)h(u)du
f1=simplify((limit(f,y,inf)-f)/hx);
f2=simplify(expand((hx/hy)*diff(f1,x,1)),'Steps',150)
f3=(1/sqrt(2*pi*t))*(exp(-(x - y)^2/(2*t))*(1-t/(x*y))-exp(-(x + y)^2/(2*t))*(1+t/(x*y)));
difference_between_two_expressions=simplify(f2-f3)
if (difference_between_two_expressions==0)
    disp('formula successfully verified');
end